Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgParticle::Counter Class Reference

Inheritance diagram for osgParticle::Counter:

[legend]
List of all members.

## Public Member Functions
| Counter ()
| Counter (const Counter &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
virtual bool | isSameKindAs (const osg::Object *obj) const
virtual int | numParticlesToCreate (double dt) const=0
## Protected Member Functions
| ~Counter ()
Counter & | operator= (const Counter &)

## Constructor & Destructor Documentation

osgParticle::Counter::Counter | ( |  | ) | `[inline]`

osgParticle::Counter::Counter | ( | const Counter & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

osgParticle::Counter::~Counter | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual const char* osgParticle::Counter::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Implements osg::Object. Reimplemented in osgParticle::VariableRateCounter.

virtual bool osgParticle::Counter::isSameKindAs | ( | const osg::Object * | obj | ) | const`[inline, virtual]`

| Reimplemented in osgParticle::VariableRateCounter.

virtual const char* osgParticle::Counter::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Implements osg::Object. Reimplemented in osgParticle::VariableRateCounter.

virtual int osgParticle::Counter::numParticlesToCreate | ( | double | dt | ) | const`[pure virtual]`

| Implemented in osgParticle::ConstantRateCounter, and osgParticle::RandomRateCounter.

Counter& osgParticle::Counter::operator= | ( | const Counter & |  | ) | `[inline, protected]`

The documentation for this class was generated from the following file:

- Counter